require( "scripts/style.lua" );





MakeDialog
{
	ComicPanel
	{
		x=0,y=0,w=800,h=600,
		Bitmap
		{
			name="comicpanel",
			image="comics/comic1_2",
			x=0,y=0,w=800,h=600,
			

			Text
			{
				font = ComicMediumFont,
				label="comic_2_1",
				x=36, y=14,
				w=185, h=76,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicBigFont,
				label="comic_2_2",
				x=213, y=100,
				w=50, h=38,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_2_3",
				x=452, y=137,
				w=114, h=65,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_2_4",
				x=610, y=130,
				w=160, h=53,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_2_5",
				x=17, y=315,
				w=228, h=73,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicMediumFont,
				label="comic_2_6",
				x=269, y=330,
				w=174, h=69,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_2_7",
				x=605, y=324,
				w=109, h=67,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},
			
			Text
			{
				font = ComicSmallFont,
				label="comic_2_8",
				x=606, y=505,
				w=116, h=78,
				flags = kHAlignCenter + kVAlignCenter,
				padding = kComicPadding
			},

			Button
			{
				x=1,
				y=530,
				graphics = ComicLeftButtonGraphics,
				name="left",
				type = kPush,
				command=
					function()
						SetTopModalOnly(false);
						SwapToModalSetName("scripts/comic_1_1.lua");
					end
			},
			
			Button
			{
				x=745,
				y=530,
				graphics = ComicRightButtonGraphics,
				name="right",
				type = kPush,
				command=
					function()
						SetTopModalOnly(false);
						SwapToModalSetName("scripts/chooserestaurant.lua");
						FlashRestaurant();
					end
			},
				
		},
	},
}

SetTopModalOnly(true);